View Full Version : [ubuntu] Installing xulrunner-1.9.1 in ubuntu 10.04

December 1st, 2010, 08:46 PM
I recently upgrade to ubuntu 10.04 from 9.10 on an x86-64 machine.

I was having trouble with Eclipse and deduced it was an issue with xulrunner. I found that I had two versions of xulrunner installed - 1.9.1 and 1.9.2. I followed advice and removed xulrunner-1.9.1, which cleared up the problem with Eclipse.

However, now I find that Xiphos (a Bible study software) crashes at startup. I believe this is because it needs xulrunner-1.9.1. I also have other mysterious behavior. Gnucash Help no longer works, "Help and Support" under System no longer opens, etc. I believe all of these are related to xulrunner.

Is there any way to reinstall xulrunner-1.9.1? It is no longer available as a package in Synoptics.

[BTW, I have tried several steps with Xiphos with help from Xiphos developers to no avail.]

December 6th, 2010, 09:20 PM
I believe this post may be better under general help. Could a moderator please move the post to a more appropriate forum? Thanks.

December 6th, 2010, 10:33 PM
I believe I have resolved this issue. Apparently there was something broken in the environment settings. I ran:
sudo xulrunner --register-global
in the install directory (in my case: /usr/lib/xulrunner- This seemed to resolve all issues.

Rick B.
January 17th, 2011, 07:55 PM
Thanks for the solution you posted here. I've been struggling with this problem for the past 2-3 weeks. I applied your solution and Xiphos is working again. Thanks for the tip!